package com.example.switchyard.prepositioning;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import com.example.switchyard.pojo.Entity;

public class EntitySublistFactory {

	public Iterator<List<Entity>> createIterator(List<Entity> entities){
		System.out.println("creating Entity sublists");
		return split(entities, 2).iterator();
	}
	
	public static <T extends Object> List<List<T>> split(List<T> list, int targetSize) {
	    List<List<T>> lists = new ArrayList<List<T>>();
	    for (int i = 0; i < list.size(); i += targetSize) {
	        lists.add(list.subList(i, Math.min(i + targetSize, list.size())));
	    }
	    return lists;
	}
	
}
